InstrumentType (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Enum InstrumentType

- java.lang.Object
- - java.lang.Enum<InstrumentType>
  - - com.marketfactory.zerogc.api.InstrumentType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<InstrumentType>

      public enum InstrumentType
      extends java.lang.Enum<InstrumentType>

  Type of market instrument.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `FORWARD` Regular forward.
    `FUTURE` Future.
    `NDF` Non deliverable forward.
    `SPOT` Spot.
    `SWAP` Swap.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static InstrumentType` | `get(byte value)`
    `static java.util.Collection<InstrumentType>` | `validValues()`
    `static InstrumentType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static InstrumentType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SPOT

          public static final InstrumentType SPOT

      Spot.

    - #### FUTURE

          public static final InstrumentType FUTURE

      Future.

    - #### FORWARD

          public static final InstrumentType FORWARD

      Regular forward.

    - #### NDF

          public static final InstrumentType NDF

      Non deliverable forward.

    - #### SWAP

          public static final InstrumentType SWAP

      Swap.

    - #### _INVALID

          public static final InstrumentType _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static InstrumentType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (InstrumentType c : InstrumentType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static InstrumentType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static InstrumentType get(byte value)

    - #### validValues

          public static java.util.Collection<InstrumentType> validValues()